explain_raise_or_die(3)

NAME
explain_raise_or_die - send a signal to the caller and report errors

SYNOPSIS
#include <libexplain/raise.h>

void explain_raise_or_die(int sig);
int explain_raise_on_error(int sig);

DESCRIPTION
The explain_raise_or_die function is used to call the raise(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_raise(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_raise_on_error function is used to call the raise(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_raise(3) function, but still returns to the caller.

sig The sig, exactly as to be passed to the raise(3) system call.

RETURN VALUE
The explain_raise_or_die function only returns on success, see raise(3) for more information. On failure, prints an explanation and exits, it does not return.

The explain_raise_on_error function always returns the value return by the wrapped raise(3) system call.

EXAMPLE
The explain_raise_or_die function is intended to be used in a fashion similar to the following example:
    explain_raise_or_die(sig);

SEE ALSO

raise(3)
    send a signal to the caller

explain_raise(3)
    explain raise(3) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version
Copyright (C) 2009 Peter Miller